Name:		perl-Crypt-Argon2
Version:	0.019
Release:	2%{?dist}
Summary:	Perl interface to the Argon2 key derivation functions
License:	Apache-2.0

URL:		https://metacpan.org/release/Crypt-Argon2
Source0:	https://www.cpan.org/authors/id/L/LE/LEONT/Crypt-Argon2-%{version}.tar.gz
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.006
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Run-time:
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(XSLoader)
# Tests:
BuildRequires:	perl(Test::More) >= 0.90

%{?perl_default_filter}

%description
This module implements the Argon2 key derivation function, which is
suitable to convert any password into a cryptographic key. This is most
often used to for secure storage of passwords but can also be used to
derive a encryption key from a password. It offers variable time and memory
costs as well as output size.


%prep
%autosetup -n Crypt-Argon2-%{version}


%build
%{__perl} Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"
./Build


%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt*
%{_mandir}/man3/*
%{_bindir}/argon2-calibrate
%{_mandir}/man1/argon2-calibrate.1*


%changelog
* Thu May 25 2023 Charles R. Anderson <cra@alum.wpi.edu> - 0.019-2
- Remove all manual Requires on perl packages
- Add BuildRequires: coreutils and perl(File::Spec)

* Wed May 24 2023 Charles R. Anderson <cra@alum.wpi.edu> - 0.019-1
- Update to 0.19.
- License is now Apache-2.0.

* Sat May 20 2023 Charles R. Anderson <cra@alum.wpi.edu> - 0.018-1
- Specfile autogenerated by cpanspec 1.78 and modifed by cra.
